POST resource/chage-categories-resource
Modify a categories resource
Request Information
Headers
HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.
Sample:
HTTP_AUTHORIZATION:
OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
oauth_signature_method="HMAC-SHA1",
oauth_timestamp="1462882011",
oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
Body Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| community_short_name |
Community short name |
string |
Required |
| resource_id |
Resource to be modify categories |
globally unique identifier |
Optional |
| categories |
List of categories to modify |
Collection of globally unique identifier |
Optional |
Request Formats
application/json, text/json
Sample:
{
"community_short_name": "sample string 1",
"resource_id": "16864033-ceeb-4034-96be-1a3d84adbd96",
"categories": [
"1e4dc758-4cbf-424e-8bc2-d366f07b7257",
"b22c1177-316a-4539-a605-61e4d15e62cf"
]
}
Response Information
Resource Description
| Description | Type |
|---|---|
|
True if modify correct |
Boolean |
Response Formats
application/json, text/json
Sample:
true
Response HTTP status code
On success, the response contains 200 code.
On fail, throws a WebException with code:
- 401 Unauthorized if the OAuth signature is invalid
- 400 Bad Request if the params are invalid
- 500 Internal server error if something goes wrong...
